Index: uspace/srv/hid/display/dsops.c
===================================================================
--- uspace/srv/hid/display/dsops.c	(revision 3be53668a72d42907f6124a3b95374fde7f15a53)
+++ uspace/srv/hid/display/dsops.c	(revision 9e84d2c5a3c35725eebdbe42c5716609678174c6)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2023 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -46,18 +46,12 @@
 static errno_t disp_window_create(void *, display_wnd_params_t *, sysarg_t *);
 static errno_t disp_window_destroy(void *, sysarg_t);
-static errno_t disp_window_move_req(void *, sysarg_t, gfx_coord2_t *,
-    sysarg_t);
+static errno_t disp_window_move_req(void *, sysarg_t, gfx_coord2_t *);
 static errno_t disp_window_move(void *, sysarg_t, gfx_coord2_t *);
 static errno_t disp_window_get_pos(void *, sysarg_t, gfx_coord2_t *);
-static errno_t disp_window_get_max_rect(void *, sysarg_t, gfx_rect_t *);
 static errno_t disp_window_resize_req(void *, sysarg_t,
-    display_wnd_rsztype_t, gfx_coord2_t *, sysarg_t);
+    display_wnd_rsztype_t, gfx_coord2_t *);
 static errno_t disp_window_resize(void *, sysarg_t, gfx_coord2_t *,
     gfx_rect_t *);
-static errno_t disp_window_minimize(void *, sysarg_t);
-static errno_t disp_window_maximize(void *, sysarg_t);
-static errno_t disp_window_unmaximize(void *, sysarg_t);
 static errno_t disp_window_set_cursor(void *, sysarg_t, display_stock_cursor_t);
-static errno_t disp_window_set_caption(void *, sysarg_t, const char *);
 static errno_t disp_get_event(void *, sysarg_t *, display_wnd_ev_t *);
 static errno_t disp_get_info(void *, display_info_t *);
@@ -69,12 +63,7 @@
 	.window_move = disp_window_move,
 	.window_get_pos = disp_window_get_pos,
-	.window_get_max_rect = disp_window_get_max_rect,
 	.window_resize_req = disp_window_resize_req,
 	.window_resize = disp_window_resize,
-	.window_minimize = disp_window_minimize,
-	.window_maximize = disp_window_maximize,
-	.window_unmaximize = disp_window_unmaximize,
 	.window_set_cursor = disp_window_set_cursor,
-	.window_set_caption = disp_window_set_caption,
 	.get_event = disp_get_event,
 	.get_info = disp_get_info
@@ -128,5 +117,5 @@
 
 static errno_t disp_window_move_req(void *arg, sysarg_t wnd_id,
-    gfx_coord2_t *pos, sysarg_t pos_id)
+    gfx_coord2_t *pos)
 {
 	ds_client_t *client = (ds_client_t *) arg;
@@ -142,5 +131,5 @@
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "disp_window_move_req()");
-	ds_window_move_req(wnd, pos, pos_id);
+	ds_window_move_req(wnd, pos);
 	ds_display_unlock(client->display);
 	return EOK;
@@ -186,26 +175,6 @@
 }
 
-static errno_t disp_window_get_max_rect(void *arg, sysarg_t wnd_id,
-    gfx_rect_t *rect)
-{
-	ds_client_t *client = (ds_client_t *) arg;
-	ds_window_t *wnd;
-
-	ds_display_lock(client->display);
-
-	wnd = ds_client_find_window(client, wnd_id);
-	if (wnd == NULL) {
-		ds_display_unlock(client->display);
-		return ENOENT;
-	}
-
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "disp_window_get_max_rect()");
-	ds_window_get_max_rect(wnd, rect);
-	ds_display_unlock(client->display);
-	return EOK;
-}
-
 static errno_t disp_window_resize_req(void *arg, sysarg_t wnd_id,
-    display_wnd_rsztype_t rsztype, gfx_coord2_t *pos, sysarg_t pos_id)
+    display_wnd_rsztype_t rsztype, gfx_coord2_t *pos)
 {
 	ds_client_t *client = (ds_client_t *) arg;
@@ -224,5 +193,5 @@
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "disp_window_resize_req()");
-	ds_window_resize_req(wnd, rsztype, pos, pos_id);
+	ds_window_resize_req(wnd, rsztype, pos);
 	ds_display_unlock(client->display);
 	return EOK;
@@ -250,64 +219,4 @@
 }
 
-static errno_t disp_window_minimize(void *arg, sysarg_t wnd_id)
-{
-	ds_client_t *client = (ds_client_t *) arg;
-	ds_window_t *wnd;
-	errno_t rc;
-
-	ds_display_lock(client->display);
-
-	wnd = ds_client_find_window(client, wnd_id);
-	if (wnd == NULL) {
-		ds_display_unlock(client->display);
-		return ENOENT;
-	}
-
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "disp_window_maximize()");
-	rc = ds_window_minimize(wnd);
-	ds_display_unlock(client->display);
-	return rc;
-}
-
-static errno_t disp_window_maximize(void *arg, sysarg_t wnd_id)
-{
-	ds_client_t *client = (ds_client_t *) arg;
-	ds_window_t *wnd;
-	errno_t rc;
-
-	ds_display_lock(client->display);
-
-	wnd = ds_client_find_window(client, wnd_id);
-	if (wnd == NULL) {
-		ds_display_unlock(client->display);
-		return ENOENT;
-	}
-
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "disp_window_maximize()");
-	rc = ds_window_maximize(wnd);
-	ds_display_unlock(client->display);
-	return rc;
-}
-
-static errno_t disp_window_unmaximize(void *arg, sysarg_t wnd_id)
-{
-	ds_client_t *client = (ds_client_t *) arg;
-	ds_window_t *wnd;
-	errno_t rc;
-
-	ds_display_lock(client->display);
-
-	wnd = ds_client_find_window(client, wnd_id);
-	if (wnd == NULL) {
-		ds_display_unlock(client->display);
-		return ENOENT;
-	}
-
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "disp_window_unmaximize()");
-	rc = ds_window_unmaximize(wnd);
-	ds_display_unlock(client->display);
-	return rc;
-}
-
 static errno_t disp_window_set_cursor(void *arg, sysarg_t wnd_id,
     display_stock_cursor_t cursor)
@@ -331,25 +240,4 @@
 }
 
-static errno_t disp_window_set_caption(void *arg, sysarg_t wnd_id,
-    const char *caption)
-{
-	ds_client_t *client = (ds_client_t *) arg;
-	ds_window_t *wnd;
-	errno_t rc;
-
-	ds_display_lock(client->display);
-
-	wnd = ds_client_find_window(client, wnd_id);
-	if (wnd == NULL) {
-		ds_display_unlock(client->display);
-		return ENOENT;
-	}
-
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "disp_window_set_caption()");
-	rc = ds_window_set_caption(wnd, caption);
-	ds_display_unlock(client->display);
-	return rc;
-}
-
 static errno_t disp_get_event(void *arg, sysarg_t *wnd_id,
     display_wnd_ev_t *event)
@@ -359,5 +247,5 @@
 	errno_t rc;
 
-	log_msg(LOG_DEFAULT, LVL_DEBUG2, "disp_window_get_event()");
+	log_msg(LOG_DEFAULT, LVL_DEBUG, "disp_window_get_event()");
 
 	ds_display_lock(client->display);
